package com.dayou.enums;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2022/12/30
 * created with IntelliJ IDEA.
 */
public enum UserTypeEnum implements CodeMsgEnumInterface<String,String>{

    NORMAL("正式员工"),
    TRIAL("试用期员工"),
    PRACTICE("实习员工"),
    MARKET("市场人员"),
    EVALUATE("评估人员")
        ;

    public String getUserType() {
        return userType;
    }

    private String userType;

    UserTypeEnum(String userType) {
        this.userType = userType;
    }

    @Override
    public String getCode() {
        return userType;
    }

    @Override
    public String getMsg() {
        return userType;
    }
}
